#{extends 'common/frontend-admin.html' /}
#{set 'title'}
<h1>Manajemen Data Rekap Pengadaan Nasional</h1>
#{/set}
#{common.alert /}
<div class="container-fluid container-fixed-lg bg-white">
    <div class="row">
        <div class="col">
            <div class="card">
                <div class="card-body">
                    <form method="post" action="@{dashboard.RekapPengadaanAdjustmentController.submit(summary?.id)}">
                    #{authenticityToken /}
                        <div class="form-group">
                            <div class="col-sm-8">
                                <table class="table table-bordered table-hover">
                                    <thead>
                                    <tr>
                                        <th colspan="4" style="text-align: center">Data Tahun ${tahun}</th>
                                    </tr>
                                    <tr>
                                        <th style="width: 30%"></th>
                                        <th style="width: 30%">Data Saat Ini</th>
                                        <td style="width: 5%; text-align: center"><i class="fa fa-2x fa-arrow-circle-left copy-data-all"></i></td>
                                        <th style="width: 30%">Datamart</th>
                                    </tr>
                                    </thead>
                                    <tbody>
                                        <tr>
                                            <td><label class="control-label">Total Anggaran</label></td>
                                            <td><input type="text" name="summaryEdit.total_anggaran" value="${summary.total_anggaran.format("##0")}" class="form-control number"></td>
                                            <td>
                                                <i class="fa fa-2x fa-arrow-circle-left copy-data" data-attr="total_anggaran"></i>
                                                <input type="hidden" class="total_anggaran" value="${original?.total_anggaran}"/>
                                            </td>
                                            <td class="right number">${original?.total_anggaran}</td>
                                        </tr>
                                        <tr>
                                            <td><label class="control-label">Belanja Pengadaan</label></td>
                                            <td><input type="text" name="summaryEdit.belanja_pengadaan" value="${summary.belanja_pengadaan.format("##0")}" class="form-control number"></td>
                                            <td>
                                                <i class="fa fa-2x fa-arrow-circle-left copy-data" data-attr="belanja_pengadaan"></i>
                                                <input type="hidden" class="belanja_pengadaan" value="${original?.belanja_pengadaan}"/>
                                            </td>
                                            <td class="right number">${original?.belanja_pengadaan}</td>
                                        </tr>
                                        <tr>
                                            <td><label class="control-label">Pagu Perencanaan</label></td>
                                            <td><input type="text" name="summaryEdit.rencana_pagu" value="${summary.rencana_pagu.format("##0")}" class="form-control number"></td>
                                            <td>
                                                <i class="fa fa-2x fa-arrow-circle-left copy-data" data-attr="rencana_pagu"></i>
                                                <input type="hidden" class="rencana_pagu" value="${original?.rencana_pagu}"/>
                                            </td>
                                            <td class="right number">${original?.rencana_pagu}</td>
                                        </tr>
                                        <tr>
                                            <td><label class="control-label">Paket Perencanaan</label></td>
                                            <td><input type="text" name="summaryEdit.rencana_paket" value="${summary.rencana_paket}" class="form-control number"></td>
                                            <td>
                                                <i class="fa fa-2x fa-arrow-circle-left copy-data" data-attr="rencana_paket"></i>
                                                <input type="hidden" class="rencana_paket" value="${original?.rencana_paket}"/>
                                            </td>
                                            <td class="right number">${original?.rencana_paket}</td>
                                        </tr>
                                        <tr>
                                            <td><label class="control-label">Pagu Pemilihan</label></td>
                                            <td><input type="text" name="summaryEdit.pelaksanaan_pagu" value="${summary.pelaksanaan_pagu.format("##0")}" class="form-control number"></td>
                                            <td>
                                                <i class="fa fa-2x fa-arrow-circle-left copy-data" data-attr="pelaksanaan_pagu"></i>
                                                <input type="hidden" class="pelaksanaan_pagu" value="${original?.pelaksanaan_pagu}"/>
                                            </td>
                                            <td class="right number">${original?.pelaksanaan_pagu}</td>
                                        </tr>
                                        <tr>
                                            <td><label class="control-label">Paket Pemilihan</label></td>
                                            <td><input type="text" name="summaryEdit.pelaksanaan_paket" value="${summary.pelaksanaan_paket}" class="form-control number"></td>
                                            <td>
                                                <i class="fa fa-2x fa-arrow-circle-left copy-data" data-attr="pelaksanaan_paket"></i>
                                                <input type="hidden" class="pelaksanaan_paket" value="${original?.pelaksanaan_paket}"/>
                                            </td>
                                            <td class="right number">${original?.pelaksanaan_paket}</td>
                                        </tr>
                                        <tr>
                                            <td><label class="control-label">Pagu Hasil Pemilihan</label></td>
                                            <td><input type="text" name="summaryEdit.hasil_pagu" value="${summary.hasil_pagu.format("##0")}" class="form-control number"></td>
                                            <td>
                                                <i class="fa fa-2x fa-arrow-circle-left copy-data" data-attr="hasil_pagu"></i>
                                                <input type="hidden" class="hasil_pagu" value="${original?.hasil_pagu}"/>
                                            </td>
                                            <td class="right number">${original?.hasil_pagu}</td>
                                        </tr>
                                        <tr>
                                            <td><label class="control-label">Paket Hasil Pemilihan</label></td>
                                            <td><input type="text" name="summaryEdit.hasil_paket" value="${summary.hasil_paket}" class="form-control number"></td>
                                            <td>
                                                <i class="fa fa-2x fa-arrow-circle-left copy-data" data-attr="hasil_paket"></i>
                                                <input type="hidden" class="hasil_paket" value="${original?.hasil_paket}"/>
                                            </td>
                                            <td class="right number">${original?.hasil_paket}</td>
                                        </tr>
                                        <tr>
                                            <td><label class="control-label">Nilai Kontrak</label></td>
                                            <td><input type="text" name="summaryEdit.kontrak" value="${summary.kontrak.format("##0")}" class="form-control number"></td>
                                            <td>
                                                <i class="fa fa-2x fa-arrow-circle-left copy-data" data-attr="kontrak"></i>
                                                <input type="hidden" class="kontrak" value="${original?.kontrak}"/>
                                            </td>
                                            <td class="right number">${original?.kontrak}</td>
                                        </tr>
                                        <tr>
                                            <td><label class="control-label">Nilai Pembayaran</label></td>
                                            <td><input type="text" name="summaryEdit.pembayaran" value="${summary.pembayaran.format("##0")}" class="form-control number"></td>
                                            <td>
                                                <i class="fa fa-2x fa-arrow-circle-left copy-data" data-attr="pembayaran"></i>
                                                <input type="hidden" class="pembayaran" value="${original?.pembayaran}"/>
                                            </td>
                                            <td class="right number">${original?.pembayaran}</td>
                                        </tr>
                                    </tbody>
                                </table>
                            </div>
                        </div>
                        <div class="form-group">
                            <div class="col-sm-12">
                                <div class="pull-right">
                                    <a href='@{dashboard.RekapPengadaanAdjustmentController.index()}' class="btn btn-default">Back</a>
                                    <button type="submit" class="btn btn-success"><i class="fa fa-save"></i> Simpan</button>
                                </div>
                            </div>
                        </div>
                    </form>
                </div>
            </div>
        </div>
    </div>
</div>

#{set 'moreStyles'}
<style >
    .main-header .navbar-custom-menu {
        position:absolute !important;
        right: 1vw !important;
    }
    .right, .number, .number {
        text-align: right;
    }

    .copy-data, .copy-data-all {
        cursor: pointer;
    }

</style>
#{/set}

#{set 'moreScripts'}
<script src="@{'/public/assets/plugins/jquery-autonumeric/autoNumeric.js'}" type="text/javascript"></script>
<script type="text/javascript">
    $(document).ready(function() {
        $(".number").autoNumeric({aSep: '.', aDec: ',', vMax: '999999999999999999', mDec: 0});

        $(".copy-data").on('click', function(e) {
            var attr = $(e.currentTarget).data('attr');
            var originalVal = $("."+attr).val();
            console.log(originalVal);
            $("input[name='summaryEdit."+attr+"']").val(originalVal);
            $("input[name='summaryEdit."+attr+"']").autoNumeric('update');
        });

        $(".copy-data-all").on('click', function(){
            $(".copy-data").click();
        });
    });
</script>
#{/set}